Cyberduck Mountain Duck CLI

#2633 closed defect (worksforme)

Progress bar missing on resume

Reported by: darmok Owned by: dkocher
Priority: normal Milestone:
Component: interface Version: 3.0.2
Severity: minor Keywords:
Cc: dantearmok@… Architecture:
Platform:

Description

Using Cyberduck 3.0.3 (4180), OS X 10.4.11.

After a transfer fails, I select it then press the Resume button. The transfer continues but no progress bar is drawn.

Change History (5)

comment:1 Changed on Oct 18, 2008 at 1:09:08 PM by dkocher

  • Milestone set to 3.0.3
  • Resolution set to worksforme
  • Status changed from new to closed

comment:2 Changed on Oct 19, 2008 at 2:41:01 PM by darmok

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Using Cyberduck 3.0.3 (4202), OS X 10.4.11, Java 1.5.0_16

The progress bar is still AWOL after a resume...

Have screenshot but attach says no permission, even after logging in.

comment:3 Changed on Oct 20, 2008 at 8:27:36 AM by dkocher

  • Milestone 3.0.3 deleted

Can you find any related output to Cyberduck in the console.log (/Applications/Utilities/Console.app)?

comment:4 Changed on Oct 21, 2008 at 3:06:47 AM by darmok

The only thing thrown into console or system log is the error when the download stops.

The steps I'm using are:

  1. Start a ftp download.
  2. Note that the progress bar is displayed.
  3. After letting it run for a while, press the Stop button.
  4. Wait a while.
  5. Note that the entry in the Transfers window continues to say "Downloading".
  6. Wait much longer.
  7. This appears in console:

2008-10-20 12:46:46,489 [Background] ERROR ch.cyberduck.core.ftp.FTPSession - IO Error: Read timed out

  1. The entry in the Transfers window changes to "Disconnecting".
  2. Wait a while.
  3. The entry changes to "Downloading" again.
  4. The progress bar is drawn, with the barber pole pattern.
  5. After the login is finished (according to cyberduck's log) and the download actually resumes... the progress bar vanishes. Nothing else appears in the console log.

HTH,

  • Dan.

comment:5 Changed on Oct 18, 2009 at 9:09:58 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

There should be no more such issues in the latest beta builds.

Note: See TracTickets for help on using tickets.
swiss made software